Debian Bug report logs - #724197
lmemory: FTBFS: dpkg-source: error: unrepresentable changes to source

version graph

Package: src:lmemory; Maintainer for src:lmemory is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>;

Reported by: David Suárez <david.sephirot@gmail.com>

Date: Sun, 22 Sep 2013 19:41:17 UTC

Severity: serious

Tags: jessie, patch, sid

Found in version lmemory/0.6c-6

Fixed in version lmemory/0.6c-7

Done: Markus Koschany <apo@gambaru.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#724197; Package src:lmemory. (Sun, 22 Sep 2013 19:41:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Suárez <david.sephirot@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Sun, 22 Sep 2013 19:41:22 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Suárez <david.sephirot@gmail.com>
To: submit@bugs.debian.org
Subject: lmemory: FTBFS: dpkg-source: error: unrepresentable changes to source
Date: Sun, 22 Sep 2013 20:51:50 +0200
Source: lmemory
Version: 0.6c-6
Severity: serious
Tags: jessie sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20130922 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part (hopefully):
> make[3]: Entering directory `/«PKGBUILDDIR»'
>  rm -f lmemory
> rm -rf .libs _libs
> rm -f *.o
> rm -f *.lo
> rm -f *.tab.c
> test -z "" || rm -f 
> test . = "." || test -z "" || rm -f 
> rm -f config.h stamp-h1
> rm -f libtool config.lt
> rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
> rm -f cscope.out cscope.in.out cscope.po.out cscope.files
> This command is intended for maintainers to use
> it deletes files that may require special tools to rebuild.
> make[3]: Leaving directory `/«PKGBUILDDIR»'
> rm -f config.status config.cache config.log configure.lineno config.status.lineno
> rm -rf ./autom4te.cache
> rm -rf ./.deps
> rm -f Makefile
> make[2]: Leaving directory `/«PKGBUILDDIR»'
> rm -rf configure config.h.in ltmain.sh mkinstalldirs config.guess config.sub aclocal.m4 depcomp install-sh Makefile.in missing INSTALL COPYING
> dh_auto_clean
> make[1]: Leaving directory `/«PKGBUILDDIR»'
>    dh_clean
>  dpkg-source -b lmemory-0.6c
> dpkg-source: info: using source format `3.0 (quilt)'
> dpkg-source: info: building lmemory using existing ./lmemory_0.6c.orig.tar.gz
> dpkg-source: error: cannot represent change to lmemory-0.6c/compile:
> dpkg-source: error:   new version is symlink to /usr/share/automake-1.14/compile
> dpkg-source: error:   old version is nonexistent
> dpkg-source: warning: ignoring deletion of file Makefile
> dpkg-source: warning: ignoring deletion of file mkinstalldirs
> dpkg-source: warning: ignoring deletion of file missing
> dpkg-source: warning: ignoring deletion of file ltmain.sh
> dpkg-source: warning: ignoring deletion of file install-sh
> dpkg-source: warning: ignoring deletion of file configure
> dpkg-source: warning: ignoring deletion of file config.sub
> dpkg-source: warning: ignoring deletion of file config.h.in
> dpkg-source: warning: ignoring deletion of file config.guess
> dpkg-source: warning: ignoring deletion of file aclocal.m4
> dpkg-source: warning: ignoring deletion of file INSTALL
> dpkg-source: warning: ignoring deletion of file COPYING
> dpkg-source: warning: ignoring deletion of file Makefile.in
> dpkg-source: error: unrepresentable changes to source
> dpkg-buildpackage: error: dpkg-source -b lmemory-0.6c gave error exit status 2
> ────────────────────────────────────────────────────────────────────────────────
> Build finished at 20130921-1336

The full build log is available from:
   http://aws-logs.debian.net/ftbfs-logs/2013/09/22/lmemory_0.6c-6_unstable.log

A list of current common problems and possible solutions is available at
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on EC2 VM instances from
Amazon Web Services, using a clean, minimal and up-to-date chroot. Every
failed build was retried once to eliminate random failures.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#724197; Package src:lmemory. (Thu, 24 Oct 2013 16:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Thu, 24 Oct 2013 16:21:05 GMT) Full text and rfc822 format available.

Message #10 received at 724197@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: 724197@bugs.debian.org
Subject: lmemory: FTBFS: dpkg-source: error: unrepresentable changes to source
Date: Thu, 24 Oct 2013 18:18:59 +0200
[Message part 1 (text/plain, inline)]
Control: tags -1 patch pending

I have prepared a new revision that fixes the issue. I'd be glad if
someone could sponsor this package.

http://mentors.debian.net/debian/pool/main/l/lmemory/lmemory_0.6c-7.dsc


[signature.asc (application/pgp-signature, attachment)]

Added tag(s) pending and patch. Request was from Markus Koschany <apo@gambaru.de> to 724197-submit@bugs.debian.org. (Thu, 24 Oct 2013 16:21:05 GMT) Full text and rfc822 format available.

Reply sent to Markus Koschany <apo@gambaru.de>:
You have taken responsibility. (Fri, 01 Nov 2013 22:51:05 GMT) Full text and rfc822 format available.

Notification sent to David Suárez <david.sephirot@gmail.com>:
Bug acknowledged by developer. (Fri, 01 Nov 2013 22:51:05 GMT) Full text and rfc822 format available.

Message #17 received at 724197-close@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: 724197-close@bugs.debian.org
Subject: Bug#724197: fixed in lmemory 0.6c-7
Date: Fri, 01 Nov 2013 22:49:59 +0000
Source: lmemory
Source-Version: 0.6c-7

We believe that the bug you reported is fixed in the latest version of
lmemory, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 724197@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Markus Koschany <apo@gambaru.de> (supplier of updated lmemory package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 01 Nov 2013 23:26:42 +0100
Source: lmemory
Binary: lmemory
Architecture: source amd64
Version: 0.6c-7
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Markus Koschany <apo@gambaru.de>
Description: 
 lmemory    - Children's game based on the "memory" card game
Closes: 724197
Changes: 
 lmemory (0.6c-7) unstable; urgency=low
 .
   [ Evgeni Golov ]
   * Correct Vcs-* URLs to point to anonscm.debian.org.
 .
   [ Markus Koschany ]
   * Add myself to Uploaders.
   * Bump compat level to 9 and require debhelper >= 9.
   * Bump Standards-Version to 3.9.5, no changes.
   * Drop autoconf, automake and libtool from Build-Depends. Use dh-autoreconf
     instead.
   * Build with --parallel and with autoreconf to recreate the build system at
     build time and to avoid a FTBFS. (Closes: #724197)
   * Update dh_auto_clean target for allowing lmemory to build twice in a row.
   * Drop dirs file, not needed.
   * Add keywords to desktop file.
   * Add longtitle to menu file.
   * Drop ac_local_programm.diff, it is not needed.
   * Drop as-needed.patch. Export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
     instead, so that all LDFLAGS via dpkg-buildflags can be appended.
   * Add DEP3 header to patches.
   * Update debian/copyright to copyright format 1.0.
   * Run wrap-and-sort -sa.
Checksums-Sha1: 
 2dcc497bc33a298bf666d375c291afdf8bfdcb8f 2035 lmemory_0.6c-7.dsc
 449439f0e9490ec32b15a7b42d521f0f76932c26 155131 lmemory_0.6c-7.debian.tar.gz
 ba9559a9686da3b71acdfa8bfa7eeb16e5d22d76 118178 lmemory_0.6c-7_amd64.deb
Checksums-Sha256: 
 3b3612669859d9fc6905e3f0bdfa9e0c905985f1d8b55eb5b73b4b1ad39a5156 2035 lmemory_0.6c-7.dsc
 8df4b22d2a2181ad4aabbc42fef73ffe28845cbb63478223f49a8ffc4dca7152 155131 lmemory_0.6c-7.debian.tar.gz
 3180ba69f33396897d4eed2e5789d0f41a8d3b38f9e34fc3a81b2a7bdaf6798b 118178 lmemory_0.6c-7_amd64.deb
Files: 
 aa6707378928fd88e07fb38f3f96bae6 2035 games optional lmemory_0.6c-7.dsc
 8a105e5cfe18be301487fec897553553 155131 games optional lmemory_0.6c-7.debian.tar.gz
 a11df3d96b8a248ed4b8f8a357d7b259 118178 games optional lmemory_0.6c-7_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCAAGBQJSdC3rAAoJEP4ixv2DE11FbiYP/RAnrYrcp026cSppOVS1KITR
et9i/Rn72k8jCaYBuKy92gJQ+q5vc+HmFpjbmM0nY/rMe74OQKyagJnN6jBlvJy9
d+HCiIU+XeOo45bHhkJURsdPvri9M6b+mkH1jEDJz9rXxkmU8OP+NvKoSx3H8MG7
a1lFiEpt5BR7p24xZmcj/gvS3eW0inYaysccH2uS1SPMLRgt5iHdOoussnwGZKWB
ZpxGCHdpBtf696rAeJN70P2p+YfzeULBUGUNsFT4HLRWABOGY2FTQnuZ3mWX4cUo
enauJmhZNz/viq4hMLXq0iDrhbghVPWp/e/XljImsURUbv4nQaxf3tHTEmC1pbm6
3UHb9N5h5C4ZCNL87LFKFIoqLQm47wZNt98NVCVUJw4QM4UYk180HxBb7j55RUGE
+7LopVwxrOtZXnhjZlZ6dCpEWHhOEKbes3wKl4R2WvaBbGJVEus9pFDlg/o+ZIXZ
c2wF4VfzPkPr0L12kl7FvmDF1U2rXWq6w84+NpLb0ZKq+bL+PwWQYLKAVysK99TM
PcHTWyi0/GW4A3kGrc3Zl6EyY+CjPOEPOXHhJuZiDu7ZIY86ydi+5KqhdXzu4NeJ
0sYhZxQKak2Z5PLz+0eheNeX/YtJu+k/PuzjYXqf4mXpJ9SnjPrsQSHjR9OqyHS7
8uDfcs+csJ/5CNKbbv9l
=cgfT
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 10 Dec 2013 07:31:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 08:57:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.